Bug 173790 - Review Request: gstreamer-plugins-fcextras
Review Request: gstreamer-plugins-fcextras
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 03:24 EST by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 13:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-11-21 03:24:41 EST
Spec Name or Url: http://mpeters.us/fc_extras/gstreamer-plugins-fcextras.spec
SRPM Name or Url: http://mpeters.us/fc_extras/gstreamer-plugins-fcextras-0.8.11-1.fc5.src.rpm

Description:

GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. This package contains plugins that are not distributed
as part of the Fedora Core gstreamer-plugins package.

This includes libvisual, aalib, ladspa, libsidplay, libsndfile, and libshout
plugins.

-=-
Two binary packages are built:

gstreamer-plugins-audio
gstreamer-plugins-video

This follows the naming scheme that I believe the upstream developers would like to have, and does not conflict with the naming scheme for the plugins in livna.

-=-
One plugin is currently not being built because of bug #173787

-=-
This is intended for fc5. It might also build on fc4 but I do not know if the newer version of gstreamer-plugins than core plugins will cause any issues.
One dependency is not yet available (libvisual-plugins) in devel - but it has been through the buildsystem succesfully, just waiting to be pushed.

-=-
Builds in rawhide mock (at least todays rawhide mock)
[mpeters@laptop gstreamer_stuff]$ ls
gstreamer-plugins-audio-0.8.11-1.fc5.i386.rpm
gstreamer-plugins-fcextras-0.8.11-1.fc5.src.rpm
gstreamer-plugins-fcextras-debuginfo-0.8.11-1.fc5.i386.rpm
gstreamer-plugins-video-0.8.11-1.fc5.i386.rpm
[mpeters@laptop gstreamer_stuff]$ rpmlint *.rpm
E: gstreamer-plugins-video explicit-lib-dependency libvisual-plugins
[mpeters@laptop gstreamer_stuff]$ 

The error is bogus, libvisual-plugins does not provide a linked against library - it provides plugins.
Comment 1 Michael A. Peters 2005-11-21 03:29:59 EST
Thomas -

I'd like your feedback if possible, and if you want to maintain this - I would
gladly mark this closed duplicate of your package. Or if you don't have the time
to do it now, I'd like to at least make the package naming scheme works for how
you would want to do it later.
Comment 2 Michael A. Peters 2005-11-21 03:38:48 EST
%files -n gstreamer-plugins-video
%doc AUTHORS COPYING README removed-sources.txt
%{_libdir}/gstreamer-%{majmin}/libgstlibvisual.so
#%{_libdir}/gstreamer-%{majmin}/libgstaasink.so

oops-

forgot %defattr(-,root,root,-)
rpmlint didn't catch it :-/
Will fix
Comment 3 Dmitry Butskoy 2005-11-21 06:58:38 EST
May be better to name it "gstreamer-plugins-extras", not "...-fcextras"?

There are some precedents (gnome-themes-extras in FE, php-extras under review).
Additionally, as %{?dist} is present and will be substituted like "fcX", there
is no need to mark again that it is FC-related package...

"-audio/-video" -- Is such a separation useful enough? I understand reasons for
this, but IMHO it would be a little more easy for users to have
"gstreamers-plugins-extras" accompanied with "gstreamers-plugins-livna" (;)),
and nothing more.
Comment 4 Michael A. Peters 2005-11-21 07:21:37 EST
The reason for

gstreamer-plugins-audio
and
gstreamer-plugins-video

is because several of the various package repositories decided upon this naming
scheme early on, and it would be silly to break it imho if we don't have to,
especially when it is being used for the rpm.livna.org non free packages.

The naming scheme for addon packages was

Free (not patent encumbered)
gstreamer-plugins-audio
gstreamer-plugins-video
Non Free (as in patent encumbered)
gstreamer-extra-audio
gstreamer-extra-video
gstreamer-extra-dvd

This is the scheme used at

http://gstreamer.freedesktop.org/pkg/fedora/4/i386/RPMS.gst/

-=-
With respect to the src.rpm - livna already has a
gstreamer-plugins-extra

src.rpm - gstreamer-plugins-extras is too close to that, hence the fcextras
It's only in the src.rpm - not the binary rpm's.
Comment 5 Michael A. Peters 2005-11-21 07:38:13 EST
new src.rpm (fix comment 2):
http://mpeters.us/fc_extras/gstreamer-plugins-fcextras-0.8.11-2.fc4.src.rpm
new spec file:
http://mpeters.us/fc_extras/gstreamer-plugins-fcextras.spec

builds in fc4 mock - works in fc4

This one won't build in fc5 due to bug #173787 but if that bug isn't closed
before an approval, I can disable that plugin before building for devel branch.
Comment 6 Thomas Vander Stichele 2005-11-21 08:24:08 EST
This is a little difficult.

A few things:

- packages in livna and freshrpms and gstreamer repo with encumbered stuff are
currently called gstreamer-plugins-extra-*, not gstreamer-extra-*
- GStreamer 0.10 is coming out in two weeks.  That version will have four
tarballs of plugins, not just one, and specifically tries to address
distribution's issues with the plugins as well.
In short, there will be:
- base: a set of essential plug-ins.  All of these are expected to be built and
shipped by a distro
- good: as set of plug-ins with good licensing and quality.  All of these
expected to be shipped
- ugly: a set of plug-ins of good quality, but various distro-related issues. 
Patent problems, licensing problems, ...
- bad: plug-ins of questionable quality, not matured yet, ... ship at own risk.

Now, given that you mention targetting fc5, you could decide to not pursue
shipping these few plug-ins in extra. But, since 0.8 is parallel-installable
with 0.10, you might still want to provide them for those people and apps still
on 0.8.

I guess this needs more thought, and some thinking on the core question: how
much pain do you want to be in ? :)
Comment 7 Michael A. Peters 2005-11-21 09:25:46 EST
(In reply to comment #6)
> This is a little difficult.
> 
> A few things:
> 
> - packages in livna and freshrpms and gstreamer repo with encumbered stuff are
> currently called gstreamer-plugins-extra-*, not gstreamer-extra-*

Heh - typo

> - GStreamer 0.10 is coming out in two weeks.  That version will have four
> tarballs of plugins, not just one, and specifically tries to address
> distribution's issues with the plugins as well.
> In short, there will be:
> - base: a set of essential plug-ins.  All of these are expected to be built and
> shipped by a distro
> - good: as set of plug-ins with good licensing and quality.  All of these
> expected to be shipped
> - ugly: a set of plug-ins of good quality, but various distro-related issues. 
> Patent problems, licensing problems, ...
> - bad: plug-ins of questionable quality, not matured yet, ... ship at own risk.

Hopefully that gets into FC5.
Guessing it will given January release date.

> 
> Now, given that you mention targetting fc5, you could decide to not pursue
> shipping these few plug-ins in extra. But, since 0.8 is parallel-installable
> with 0.10, you might still want to provide them for those people and apps still
> on 0.8.
> 
> I guess this needs more thought, and some thinking on the core question: how
> much pain do you want to be in ? :)

These seem to work in FC4 - and the livna packages for FC4 are here, so perhaps
these should be made available for FC4?

Totem makes such a nice audio player with the libvisual plugin in full screen
mode (would be nicer if it could randomly change the plugin used every X minutes
... and if it came with a pony)

If this could target FC4 at least, then when FC5 ships with 0.10 - the plugins
not in core and not livna bound could be done then.
Comment 8 Michael A. Peters 2006-04-19 13:36:46 EDT
Withdrawn

Note You need to log in before you can comment on or make changes to this bug.